﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadTreeList1.ExpandedIndexes.Add(new TreeListHierarchyIndex { LevelIndex = 0, NestedLevel = 0 });
            RadTreeList1.ExpandedIndexes.Add(new TreeListHierarchyIndex { LevelIndex = 1, NestedLevel = 0 });
            RadTreeList1.ExpandedIndexes.Add(new TreeListHierarchyIndex { LevelIndex = 2, NestedLevel = 0 });
        }
    }
    protected void RadTreeList1_NeedDataSource(object sender, TreeListNeedDataSourceEventArgs e)
    {
        RadTreeList1.DataSource = MyData.GetData();
    }

    public class MyData
    {
        public static List<MyItem> GetData()
        {
            List<MyItem> list = new List<MyItem>();
            list.Add(new MyItem("A", "Appetizers", "", null, true, ""));
            list.Add(new MyItem("B", "Beverages", "", null, true, ""));
            list.Add(new MyItem("C", "Cheese", "", null, false, ""));
            list.Add(new MyItem("A1", "Southwestern Twisted Chips", "150 gr.", 6.79m, false, "A"));
            list.Add(new MyItem("A2", "Top Shelf Combo Appetizer", "300 gr.", 9.49m, true, "A"));
            list.Add(new MyItem("B1", "Sangria", "90 ml.", 6.49m, true, "B"));
            list.Add(new MyItem("B2", "Margarita", "60 ml.", 7.39m, false, "B"));
            list.Add(new MyItem("B3", "Red Cherry Boost", "200 ml.", 6.99m, false, "B"));
            list.Add(new MyItem("B4", "Mojito", "180 ml.", 7.59m, true, "B"));
            list.Add(new MyItem("C1", "Blue Cheese and Hazelnut Shortbread", "220 gr.", 10.69m, false, "C"));
            list.Add(new MyItem("C2", "Avocado Feta Salsa", "240 gr.", 7.19m, false, "C"));
            return list;
        }
    }
    public class MyItem
    {
        public string ID { get; set; }
        public string ProductName { get; set; }
        public string Quantity { get; set; }
        public decimal? Price { get; set; }
        public bool InStock { get; set; }
        public string ParentID { get; set; }
        public MyItem(string id, string productName, string quantity, decimal? price, bool inStock, string parentID)
        {
            ID = id;
            ProductName = productName;
            Quantity = quantity;
            Price = price;
            InStock = inStock;
            ParentID = parentID;
        }
    }
}
